Bug 1670632 (CVE-2018-18501) - CVE-2018-18501 Mozilla: Memory safety bugs fixed in Firefox 65 and Firefox ESR 60.5
Summary: CVE-2018-18501 Mozilla: Memory safety bugs fixed in Firefox 65 and Firefox ES...
Status: CLOSED ERRATA
Alias: CVE-2018-18501
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20190129,repor...
Keywords: Security
Depends On: 1668153 1668155 1670637 1668154 1668156 1670636 1670638 1670639 1670640
Blocks: 1668151 1670486
TreeView+ depends on / blocked
 
Reported: 2019-01-29 23:18 UTC by Doran Moppert
Modified: 2019-06-10 10:46 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:46:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0218 None None None 2019-01-30 17:38 UTC
Red Hat Product Errata RHSA-2019:0219 None None None 2019-01-30 17:56 UTC
Red Hat Product Errata RHSA-2019:0269 None None None 2019-02-04 20:41 UTC
Red Hat Product Errata RHSA-2019:0270 None None None 2019-02-04 20:42 UTC

Description Doran Moppert 2019-01-29 23:18:42 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 64 and Firefox ESR 60.4. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/#CVE-2018-18501

Comment 1 Doran Moppert 2019-01-29 23:18:44 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Alex Gaynor, Christoph Diehl, Steven Crane, Jason Kratzer, Gary Kwong, Christian Holler

Comment 7 errata-xmlrpc 2019-01-30 17:38:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0218 https://access.redhat.com/errata/RHSA-2019:0218

Comment 8 errata-xmlrpc 2019-01-30 17:56:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0219 https://access.redhat.com/errata/RHSA-2019:0219

Comment 9 errata-xmlrpc 2019-02-04 20:41:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0269 https://access.redhat.com/errata/RHSA-2019:0269

Comment 10 errata-xmlrpc 2019-02-04 20:42:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0270 https://access.redhat.com/errata/RHSA-2019:0270


Note You need to log in before you can comment on or make changes to this bug.